Class | Ramaze::Controller
In: | lib/ramaze/controller.rb
Parent: | Object

### Methods

app engine generate_mapping inherited map mapping options setup setup_procedure

### Included Modules

Innate::Traited Innate::Node

### Constants

CONTROLLER_LIST | = | Set.new
IRREGULAR_MAPPING | = | { 'Controller' => nil, 'MainController' => '/'

### Public Class methods

app()
engine(name)
generate_mapping(klass_name = self.name)
inherited(into)
map(location, app_name = nil)
mapping()
options()
setup()
setup_procedure()

[Validate]